# Update a Collections Metadata

Use this method to update a collection's metadata

### Usage in your script

{% tabs %}
{% tab title="JavaScript" %}

```javascript
const alturaUpdateCollection = await AlturaCollection.update(
COLLECTION_ADDRESS,
image,
image_url,
description,
website,
genre
);
```

{% endtab %}

{% tab title="TypeScript" %}

```javascript
const alturaUpdateCollection:TAlturaCollection  = await AlturaCollection.update(
COLLECTION_ADDRESS,
image,
image_url,
description,
website,
genre
);
```

{% endtab %}
{% endtabs %}

### **Parameters**

<table><thead><tr><th width="250.33333333333331">Parameter</th><th width="88">Type</th><th width="109">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>collection_address</code></td><td><strong>String</strong></td><td><strong>Yes</strong></td><td>Collection address</td></tr><tr><td><code>image</code></td><td><strong>String</strong></td><td><strong>Yes</strong></td><td>new image URL</td></tr><tr><td><code>image_url</code></td><td><strong>String</strong></td><td><strong>Yes</strong></td><td>new image URL</td></tr><tr><td><code>description</code></td><td><strong>String</strong></td><td><strong>Yes</strong></td><td>new description for the project</td></tr><tr><td>website</td><td><strong>String</strong></td><td><strong>Yes</strong></td><td>Website of the collection</td></tr><tr><td>genre</td><td><strong>String</strong></td><td><strong>Yes</strong></td><td>Type of the collection</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/js-sdk-reference/smart-nft-endpoints/update-a-collections-metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
